%global pylib_dir %{_libdir}/python2.3
%global momorel 1

Name:           python-sqlite
Version:        0.5.0
Release:        %{momorel}m
Summary:        Python bindings for SQLite

Group:          Development/Libraries
License:        see "LICENSE"
URL:            http://initd.org/tracker/pysqlite

%NoSource 0     http://jaist.dl.sourceforge.net/sourceforge/pysqlite/pysqlite-%{version}.tar.gz ecda08cd4e6d8c2af774a0f74a183122
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  sqlite-devel

Requires: python

%description
This packages allows you to use sqlite with python.
sqlite is a simple database engine.

%prep
%setup -n pysqlite
rm -f doc/rest/.*swp
chmod -x doc/rest/* LICENSE README

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build \
	--root %{buildroot} --prefix="%{_prefix}"

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc LICENSE README doc/ examples/
%{pylib_dir}/site-packages/*

%changelog
* Wed Mar 23 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.5.0-1m)
- import from Fedora

* Tue Dec 28 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.5.0-1
- Fix build: install into arch-dependent python sitelib,
  compile without including buildroot paths, build and ghost
  optimized files.
- Add python-abi dependency.
- Fix licence and %%doc permissions.
- Bump release, drop 0.fdr. prefix.

* Thu Sep 02 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.5.0-0.fdr.1
- package copied from Dag

